
singleton Material(fieri_lettering_body)
{
    mapTo = "fieri_lettering_body";
    diffuseColor[0] = "1 1 1 0.1";
    diffuseMap[0] = "vehicles/fieri/fieri_lettering.png";
    dynamicCubemap = false;
    doubleSided = "1";
    alphaTest = "1";
    alphaRef = "20";	
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";	
};

singleton Material(fieri_windshield_dmg)
{
    mapTo = "fieri_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/fieri/fieri_glass_dmg.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fieri_glass_dmg)
{
mapTo = "fieri_glass_dmg";
reflectivityMap[0] = "vehicles/fieri/fieri_glass_dmg.dds";
diffuseMap[0] = "vehicles/fieri/fieri_glass_dmg.dds";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/fieri/fieri_glass_dmg.dds";
specularMap[1] = "vehicles/fieri/fieri_glass_dmg.dds";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fieri_glass)
{
mapTo = "fieri_glass";
reflectivityMap[0] = "vehicles/fieri/fieri_glass.dds";
diffuseMap[0] = "vehicles/fieri/fieri_glass.dds";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/fieri/fieri_glass.dds";
specularMap[1] = "vehicles/fieri/fieri_glass.dds";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fieri_headlightlens_dmg)
{
mapTo = "fieri_headlightlens_dmg";
reflectivityMap[0] = "vehicles/fieri/fieri_glass_dmg.dds";
diffuseMap[0] = "vehicles/fieri/fieri_glass_dmg.dds";
specularMap[0] = "vehicles/common/null.dds";
diffuseMap[1] = "vehicles/fieri/fieri_glass_dmg.dds";
specularMap[1] = "vehicles/fieri/fieri_glass_dmg.dds";
specularPower[0] = "64";
pixelSpecular[0] = "1";
specularPower[1] = "64";
pixelSpecular[1] = "1";
diffuseColor[0] = "1 1 1 1";
diffuseColor[1] = "1 1 1 1";
useAnisotropic[0] = "1";
useAnisotropic[1] = "1";
castShadows = "1";
translucent = "1";
alphaTest = "1";
alphaRef = "0";
dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fieri_lights_dmg)
{
    mapTo = "fieri_lights_dmg";
    diffuseMap[1] = "vehicles/legran/legran_lights_dmg_d.dds";
    specularMap[1] = "vehicles/legran/legran_lights_dmg_s.dds";
    normalMap[1] = "vehicles/legran/legran_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/legran/legran_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};